# Get Transaction Details

This request uses the transaction ID, passed as a parameter in the URL to specify the specific transaction for which you want to retrieve the latest information. This allows you to follow up on the process by referencing the specific transaction ID.

{% tabs %}
{% tab title="cUrl" %}

```json
GET /v1/payments/transactions/:id

curl –X GET 'https://api.firstoken.co/v1/payments/transactions/:id' \
--header 'x-api-key: YOUR API KEY'
```

{% endtab %}

{% tab title="Params of the request" %}
**id**: *string*

> A valid transaction\_id received in previous requests.
> {% endtab %}
> {% endtabs %}

<details>

<summary>Example of the JSON response</summary>

The response depends of the status of the id that is passed through params in the request

```json
{
    "status": "success",
    "message": "Get Transaction Details successful",
    "data": {
        "transaction_info": {
            "type": "transaction_details_response",
            "reference_code": "99480071936",
            "transaction_id": "0001773077940239821780",
            "request_id": "8949a7eb-be14-40d1-963f-75139656a626",
            "status": "Collected",
            "response_code": "777775",
            "created_at": "2025-08-14T17:39:15.000Z"
        },
        "order_info": {
            "amount_details": {
                "authorized_amount": 1000,
                "currency": "BRL"
            }
        },
        "processor_info": {
            "approval_code": "777775",
            "transaction_id": "4914bcd41baa4491be99756b30209l98"
        }
    }
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/payments/payments-api-koin/get-transaction-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
